#include "information.h"

information::information(QWidget *parent) : QWidget(parent)
{
    m_informationLayout = new QVBoxLayout(this);
    m_perhour = new perhour(this);
    m_weekweather = new weekweather(this);
    m_lifestyle = new lifestyle(this);

    initLayout();
    initQss();
    initConnect();
}

void information::initLayout()
{
    m_informationLayout->addWidget(m_perhour);
    m_informationLayout->addWidget(m_weekweather);
    m_informationLayout->addWidget(m_lifestyle);
    this->setLayout(m_informationLayout);
}

void information::initQss()
{
//    this->setStyleSheet("QWidget{background:blue;}");
//        m_perhour->setStyleSheet("QWidget{background:red;}");
}

void information::initConnect()
{
    connect(this,&information::getLifeStyleInfor,m_lifestyle,&lifestyle::getLifeStyleInfor);
    connect(this,&information::sendIsFullScreen,m_perhour,&perhour::sendIsFullScreen);
    connect(this,&information::sendHourlyInfor,m_perhour,&perhour::setHourlyInfor);
    connect(this,&information::sendIsFullScreen,m_perhour,&perhour::setHourlyIcon);
    connect(this,&information::sendIsFullScreen,m_weekweather,&weekweather::sendIsFullScreen);
    // 判断使用普通大小界面图标还是全屏大小图标
    connect(this,&information::sendIsFullScreen,m_weekweather,&weekweather::setWeatherIcon);
    connect(this,&information::sendIsFullScreen,m_lifestyle,&lifestyle::sendIsFullScreen);
    connect(this,&information::sendForcastInfor,m_weekweather,&weekweather::getForcastInfor);
    connect(this,&information::sendIsFullScreen,m_lifestyle,&lifestyle::sendIsFullScreen);
    connect(this,&information::getLifeStyleInfor,m_lifestyle,&lifestyle::getLifeStyleInfor);
}

void information::resizeEvent(QResizeEvent *event)
{

}
