#ifndef TITLE_H
#define TITLE_H

#include <QHBoxLayout>
#include <QWidget>
#include <QPushButton>
#include <QLabel>
#include <QMenu>
#include "menumodule.h"
class title : public QWidget
{
    Q_OBJECT
public:
    explicit title(QWidget *parent = nullptr);
    QPushButton *btnMaximum;
    menuModule *g_menu = nullptr;

private:
    QHBoxLayout *m_titleLayout;
    QPushButton *logoBtn;
    QLabel  *m_label;
    QPushButton *m_menuButton;
    QMenu *m_mainMenu;
    QPushButton *btnMinimize;
    QPushButton *btnCancel;
    void initConnection();
    void initLayout();
    void initQss();
//    bool eventFilter(QObject *watched, QEvent *event);// 标题栏双击全屏


signals:
    void recovery();//处理主界面最大化和还原
    void aboutShow();//关于界面打开，两栏的展示情况
    void setMenuModuleAllowLocationYes();


};

#endif // TITLE_H
