#ifndef IPLOCATION_H
#define IPLOCATION_H

#include <QObject>
#include <QNetworkAccessManager>
#include <QJsonParseError>
#include <QJsonObject>
#include <QEventLoop>
#include <QTimer>
#include <QNetworkReply>
#include "global/corevar.h"
class Iplocation : public QObject
{
    Q_OBJECT
public:
    explicit Iplocation(QObject *parent = nullptr);
    QString gotoLocation();//去定位
private:
    QString pconlineLocation(const QString &url);//高德定位
    QString ipipLocation();//ipip定位
    QTimer m_timer;//超时处理--定位
    QTimer m_timerGeo;//超时处理--高德
    QTimer m_timerIPIP;//超时处理--ipip
    bool timeOut(QTimer *timer,QNetworkReply *reply, QEventLoop *eventloop);
signals:

};

#endif // IPLOCATION_H
