#ifndef CITY_H
#define CITY_H

#include <QWidget>
#include <QLabel>
#include <QPushButton>
#include <QHBoxLayout>
#include <QFont>
#include "view/search/searchview.h"
#include "global/corevar.h"

class city : public QWidget
{
    Q_OBJECT
public:
    explicit city(QWidget *parent = nullptr);
    QPushButton *m_changeCityBtn = nullptr;
    QWidget *m_centrlWid = nullptr;
    void getCurrentInfor(CurrentWeather m_currentWeather);
    void isFullScreen(int);
    int m_judgeFullScreen;
    void initLayout(double detio);

private:
    QString code;
    QFont m_bigFont;
    QLabel *m_temperatureNum = nullptr;
    QLabel *m_degreeNotation = nullptr;
    QLabel *m_curCity = nullptr;
    SearchView *m_searchView = nullptr;
    //天气图标
    QString path;
    QHBoxLayout *m_cityLayout = nullptr;

    QHBoxLayout *m_cityWidgetLayout = nullptr;
    QHBoxLayout *m_leftLayout = nullptr;
    QVBoxLayout *m_rightLayout = nullptr;
    QHBoxLayout *m_cityAndChangeLayout = nullptr;
    QHBoxLayout *m_iconAndWeatherLayout = nullptr;
    QHBoxLayout *m_humidityAndWindLayout = nullptr;

    QLabel *m_weatherPicture = nullptr;
    QLabel *m_weather = nullptr;
    QLabel *m_humidity = nullptr;
    QLabel *m_windForce = nullptr;
    QFont m_font;
    void initConnect();

    void initQss(int);
    void cityMoveItem(int);
    void resizeEvent(QResizeEvent *event);


signals:

};

#endif // CITY_H
