#ifndef COLLECTITEMDELEGATE_H
#define COLLECTITEMDELEGATE_H

#include <QObject>
#include <QStyledItemDelegate>
#include <QModelIndex>
#include <QItemDelegate>
#include <QMouseEvent>
#include <QPainter>
#include <QPainterPath>
#include <QStyle>
#include <QEvent>
#include <QDebug>
#include <QStandardItemModel>

#include <QApplication>
#include <QMouseEvent>
#include <QMessageBox>
#include <QPainter>
#include <QStyleOption>
#include <QScopedPointer>
#include <QPushButton>
#include <QModelIndex>
#include "global/viewvar.h"
#include "controller/Interaction.h"

class CollectItemDelegate : public QStyledItemDelegate
{
    Q_OBJECT
public:
    CollectItemDelegate(QWidget *parent);
private:
    void paint(QPainter * painter,const QStyleOptionViewItem & option,const QModelIndex & index) const;
    QMap<QModelIndex, QStyleOptionButton*> m_btns;
    QScopedPointer<QPushButton> m_pOpenButton;
    bool editorEvent(QEvent *event, QAbstractItemModel *model, const QStyleOptionViewItem &option, const QModelIndex &index);
    bool m_btnEnable = true;
signals:
    void delCollectCity(QModelIndex index);//删除收藏城市
    void changeCityFromCollect(QModelIndex index);//从收藏城市切换主界面城市
};

#endif // COLLECTITEMDELEGATE_H
