#include "searchbtn.h"

SearchBtn::SearchBtn(QWidget *parent) : QPushButton(parent)
{
    this->setBackgroundRole( QPalette::Base);
    this->setFixedSize(ViewVar::SEARCH_ICON);//重置图标大小
//    this->setIcon(QIcon::fromTheme("edit-find-symbolic"));
    this->setIconSize(QSize(ViewVar::SEARCH_ICON));
    this->setFocusPolicy(Qt::NoFocus);
}

void SearchBtn::paintEvent(QPaintEvent *event)
{
    Q_UNUSED(event);
    QPainter painter(this);
    QStyleOption opt;
    opt.init(this);
    QPixmap pixmap;
    if (!ViewVar::s_themeStyle) {
        pixmap = QPixmap(":/res/contorl_icons/search_dark.png");
    } else {
        pixmap = QPixmap(":/res/contorl_icons/search_light.png");
    }
    painter.drawPixmap(opt.rect.adjusted(0,0,0,0), pixmap);
    painter.setPen(Qt::transparent);

}
